package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class OrganizationTypeDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(OrganizationTypeDTO.class);
        OrganizationTypeDTO organizationTypeDTO1 = new OrganizationTypeDTO();
        organizationTypeDTO1.setId(1L);
        OrganizationTypeDTO organizationTypeDTO2 = new OrganizationTypeDTO();
        assertThat(organizationTypeDTO1).isNotEqualTo(organizationTypeDTO2);
        organizationTypeDTO2.setId(organizationTypeDTO1.getId());
        assertThat(organizationTypeDTO1).isEqualTo(organizationTypeDTO2);
        organizationTypeDTO2.setId(2L);
        assertThat(organizationTypeDTO1).isNotEqualTo(organizationTypeDTO2);
        organizationTypeDTO1.setId(null);
        assertThat(organizationTypeDTO1).isNotEqualTo(organizationTypeDTO2);
    }
}
